package de.derhess.video.vimeo
{
	
    /**
	 * released under MIT License (X11)
	 * http://www.opensource.org/licenses/mit-license.php
	 * 
	 * Define Attributes for the local connection commands between Air and the VimeoRemoteSWF
	 * 
	 * @author Florian Weil [derhess.de, Deutschland]
	 * @see http://blog.derhess.de
	 */

     
    public class VimeoAirAttributes 
    {
    	
        //--------------------------------------------------------------------------
        //
        //  Class variables
        //
        //--------------------------------------------------------------------------
        public static const VIMEO_REMOTE:String = '_controlVimeoPlayer';
        public static const AIR_REMOTE:String = '_controlAIRcomponent';
        
        public static const VIMEO_REMOTE_FUNC:String = 'remote_vimeo_handler';
        public static const AIR_REMOTE_FUNC:String = 'remote_air_handler';
        
        public static const COMMAND_PLAY:String = "playVimeo";
        public static const COMMAND_PAUSE:String = "pauseVimeo";
        public static const COMMAND_STOP:String = "stopVimeo";
        public static const COMMAND_PLAY_NEW_VIDEO:String = "playNewVideoVimeo"; 
        public static const COMMAND_START_VIMEO_PLAYER:String = "startFirstRunVimeo";
        public static const COMMAND_SEEK:String = "seekVimeo";
        
        public static const COMMAND_PLAYER_COLOR:String = "changePlayerColor";
        public static const COMMAND_VOLUME:String = "changeVolume";
        public static const COMMAND_UNLOAD_VIDEO:String = "unloadVideo";
        public static const COMMAND_DESTROY:String = "destroyPlayer";
        public static const COMMAND_TOGGLE_LOOP:String = "toggleLoop";
        
        public static const COMMAND_HD_ON:String = "hdVersionOn";
        public static const COMMAND_HD_OFF:String = "hdVersionOff";
        public static const COMMAND_SHOW_LIKE:String = "showLikeScreen";
        public static const COMMAND_SHOW_EMBED:String = "showEmbedScreen";
        public static const COMMAND_SHOW_HD:String = "showHDScreen";
        public static const COMMAND_SHOW_SHARE:String = "showShareScreen";
        public static const COMMAND_SHOW_CONTROLS:String = "showControlsScreen";
        public static const COMMAND_VIDEO_SIZE:String = "changeVideoSize";
        
        
        public static const CALL_PLAYER_LOADED:String = "callPlayerLoaded";
        //TODO implement a request and response system
        public static const CALL_DURATION:String = "callDuration";
        public static const CALL_VIDEO_STATE:String = "callVideoState";
        
        //--------------------------------------------------------------------------
        //
        //  Initialization
        //
        //--------------------------------------------------------------------------
        
        public function VimeoAirAttributes()
        {
            throw(new Error("This is a static class. Creating Instances are not allowed"));
        }
       
        
        
        
       
    }
}